@echo off
setlocal enabledelayedexpansion

:: Percorso della cartella contenente le immagini originali
set "cartellaOrigine=%cd%\Immagini\Grandi"

:: Percorso della cartella in cui verranno salvate le immagini ridimensionate
set "cartellaDestinazione=%cd%\Immagini\Piccole"

:: Larghezza desiderata delle immagini ridimensionate
set "larghezzaDesiderata=800"

:: DPI desiderati
set "dpiDesiderati=90"

:: Suffisso per le immagini ridimensionate
set "suffisso=_zero-sei"

:: Assicurati di avere ImageMagick installato e aggiungi il percorso del suo eseguibile al PATH
set "percorsoImageMagick=%cd%\ImageMagick"
set "percorsoMogrify=%percorsoImageMagick%\mogrify.exe"

:: Verifica se la cartella di destinazione esiste, altrimenti creala
if not exist "%cartellaDestinazione%" (
    mkdir "%cartellaDestinazione%"
) else (
    :: Elimina i file esistenti nella cartella di destinazione
    del /Q "%cartellaDestinazione%\*.*"
)

:: Cicla attraverso ogni immagine nella cartella di origine
for %%i in ("%cartellaOrigine%\*.jpg") do (
    :: Costruisci il percorso e il nome del file di destinazione
    set "nomeFileDestinazione=!cartellaDestinazione!\%%~ni%suffisso%%%~xi"

    :: Ridimensiona la larghezza e imposta i DPI nella cartella di destinazione
    "%percorsoMogrify%" -resize !larghezzaDesiderata! -density !dpiDesiderati!x!dpiDesiderati! -path "%cartellaDestinazione%" "%%i"

    :: Rinomina il file ridimensionato aggiungendo il suffisso
    ren "!cartellaDestinazione!\%%~nxi" "%%~ni%suffisso%%%~xi"
    echo Immagine ridimensionata e salvata: "!cartellaDestinazione!\%%~ni%suffisso%%%~xi"
)

echo Operazione completata.